supervisord для python 3?

Хотите использовать supervisord для управления процессами для моего проекта Python 3. В частности, указано, что «Супервизор, как известно, работает с Python 2.4 или новее, но не будет работать ни под одной версией Python 3».

Любые предложения для замены супервизора для Python 3?

3 Solutions collect form web for “supervisord для python 3?”

Предстоящая версия Supervisord 4.0 будет поддерживать Python 2 и 3 (3.2 и выше). До тех пор вы могли бы использовать вилку supervisor-py3k .

Или просто запустите supervisord с Python 2; ваша кодовая база Python 3 в остальном не затрагивается, поскольку supervisord – это независимый процесс.

Мастер-ветвь Supervisor уже поддерживает Python3. Это версия для разработки, поэтому, пожалуйста, сообщите об обнаруженной ошибке.

Поддержка Python 3 для супервизора все еще экспериментальна и, как указано в документации, вы не должны использовать ее в процессе производства.

Mozilla Foundation разработал пакет под названием цирк, который работает на Python 3.

Он управляет процессом с цирком, а также имеет circusctl, circus-top, circus-web (аналогично супервизору).

Вы можете использовать файл confisor confitor с цирком с некоторыми изменениями. Он также имеет отдельный раздел в документах для пользователей, поступающих от супервизора. Вы можете прочитать это для более подробной информации.

  • В чем разница между Upstart и Supervisord?
  • Непризнанная проблема службы супервизора после установки
  • Задача маршрутизации сельдерея для конкретной очереди
  • Docker, Supervisord и протоколирование - как консолидировать журналы в журналах докеров?
  • Как я могу установить PATH для супервизора, чтобы найти исполняемые файлы
  • Как подписаться на события PROCESS_STATE_RUNNING для всех процессов
  • Настройка nginx и супервизора в Ubuntu
  • Не удалось запустить службу nohup из-за «INFO spawnerr: неизвестная ошибка, создающая диспетчеров для« app_name »: EACCES '
  • Python - лучший язык программирования в мире.